diff --git a/graphics/kimagemapeditor/Makefile b/graphics/kimagemapeditor/Makefile
index fc1e65bc9725..ef65d6782b44 100644
--- a/graphics/kimagemapeditor/Makefile
+++ b/graphics/kimagemapeditor/Makefile
@@ -6,17 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE generator of HTML image maps
 WWW=		https://www.kde.org/applications/development/kimagemapeditor/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 qt:5 tar:xz \
-		xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash guiaddons i18n iconthemes itemviews \
-		jobwidgets js kdelibs4support khtml kio notifications parts \
-		service solid sonnet textwidgets unitconversion widgetsaddons \
-		windowsystem xmlgui \
+		jobwidgets kio notifications parts service solid sonnet \
+		textwidgets unitconversion widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network \
-		printsupport webchannel webengine widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base webengine
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/graphics/kimagemapeditor/distinfo b/graphics/kimagemapeditor/distinfo
index b6f88d93bb2c..05e35ecef800 100644
--- a/graphics/kimagemapeditor/distinfo
+++ b/graphics/kimagemapeditor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889418
-SHA256 (KDE/release-service/23.08.5/kimagemapeditor-23.08.5.tar.xz) = 0f268fec6d1bf052f65891316cfbecc198b39e647c6300cb80d6dd8a8e90df0c
-SIZE (KDE/release-service/23.08.5/kimagemapeditor-23.08.5.tar.xz) = 1107004
+TIMESTAMP = 1734460203
+SHA256 (KDE/release-service/24.12.0/kimagemapeditor-24.12.0.tar.xz) = 671cbe27f141d238808e25ae722cfec6664685ff8e66f2e0115eb505fd74baca
+SIZE (KDE/release-service/24.12.0/kimagemapeditor-24.12.0.tar.xz) = 1074232
diff --git a/graphics/kimagemapeditor/pkg-plist b/graphics/kimagemapeditor/pkg-plist
index facc2e46c521..8d7525f05569 100644
--- a/graphics/kimagemapeditor/pkg-plist
+++ b/graphics/kimagemapeditor/pkg-plist
@@ -1,5 +1,5 @@
 bin/kimagemapeditor
-%%QT_PLUGINDIR%%/kf5/parts/kimagemapeditorpart.so
+%%QT_PLUGINDIR%%/kf6/parts/kimagemapeditorpart.so
 share/applications/org.kde.kimagemapeditor.desktop
 share/icons/hicolor/128x128/apps/kimagemapeditor.png
 share/icons/hicolor/16x16/apps/kimagemapeditor.png
@@ -22,7 +22,6 @@ share/icons/hicolor/scalable/apps/kimagemapeditor.svgz
 %%DATADIR%%/freehandcursor.png
 %%DATADIR%%/polygoncursor.png
 %%DATADIR%%/removepointcursor.png
-share/kservices5/kimagemapeditorpart.desktop
 share/locale/ar/LC_MESSAGES/kimagemapeditor.mo
 share/locale/be/LC_MESSAGES/kimagemapeditor.mo
 share/locale/bg/LC_MESSAGES/kimagemapeditor.mo
@@ -45,10 +44,12 @@ share/locale/fi/LC_MESSAGES/kimagemapeditor.mo
 share/locale/fr/LC_MESSAGES/kimagemapeditor.mo
 share/locale/ga/LC_MESSAGES/kimagemapeditor.mo
 share/locale/gl/LC_MESSAGES/kimagemapeditor.mo
+share/locale/he/LC_MESSAGES/kimagemapeditor.mo
 share/locale/hi/LC_MESSAGES/kimagemapeditor.mo
 share/locale/hne/LC_MESSAGES/kimagemapeditor.mo
 share/locale/hr/LC_MESSAGES/kimagemapeditor.mo
 share/locale/hu/LC_MESSAGES/kimagemapeditor.mo
+share/locale/ia/LC_MESSAGES/kimagemapeditor.mo
 share/locale/it/LC_MESSAGES/kimagemapeditor.mo
 share/locale/ja/LC_MESSAGES/kimagemapeditor.mo
 share/locale/ka/LC_MESSAGES/kimagemapeditor.mo
@@ -84,4 +85,4 @@ share/locale/zh_CN/LC_MESSAGES/kimagemapeditor.mo
 share/locale/zh_HK/LC_MESSAGES/kimagemapeditor.mo
 share/locale/zh_TW/LC_MESSAGES/kimagemapeditor.mo
 share/metainfo/org.kde.kimagemapeditor.appdata.xml
-share/qlogging-categories5/kimagemapeditor.categories
+share/qlogging-categories6/kimagemapeditor.categories
diff --git a/graphics/kolourpaint/Makefile b/graphics/kolourpaint/Makefile
index 68a910ad13b8..30f06b00a03e 100644
--- a/graphics/kolourpaint/Makefile
+++ b/graphics/kolourpaint/Makefile
@@ -6,16 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE paint program
 WWW=		http://www.kolourpaint.org
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
-		coreaddons crash emoticons guiaddons i18n iconthemes init \
-		itemmodels itemviews jobwidgets kdelibs4support kio libkexiv2 \
-		libksane notifications parts service solid sonnet textwidgets \
-		unitconversion widgetsaddons windowsystem xmlgui \
+		coreaddons crash guiaddons i18n iconthemes itemmodels \
+		itemviews jobwidgets kio libkexiv2 libksane notifications \
+		parts service solid sonnet textwidgets unitconversion \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		dbus concurrent core gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/graphics/kolourpaint/distinfo b/graphics/kolourpaint/distinfo
index c1103ac2c050..4d4102adcc1c 100644
--- a/graphics/kolourpaint/distinfo
+++ b/graphics/kolourpaint/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889419
-SHA256 (KDE/release-service/23.08.5/kolourpaint-23.08.5.tar.xz) = 942f6b588f24aba4f135de842e489bb94f2b16a405bb7fecfb5aab9896ea4ace
-SIZE (KDE/release-service/23.08.5/kolourpaint-23.08.5.tar.xz) = 5790124
+TIMESTAMP = 1734460207
+SHA256 (KDE/release-service/24.12.0/kolourpaint-24.12.0.tar.xz) = 7275709d94dc07558a23c5b3059af486fbd280591c6062d16ac9a0d2453c581c
+SIZE (KDE/release-service/24.12.0/kolourpaint-24.12.0.tar.xz) = 5310004
diff --git a/graphics/kolourpaint/pkg-plist b/graphics/kolourpaint/pkg-plist
index 64c1f92a5e8f..299c5fad8131 100644
--- a/graphics/kolourpaint/pkg-plist
+++ b/graphics/kolourpaint/pkg-plist
@@ -98,7 +98,6 @@ share/icons/hicolor/scalable/apps/kolourpaint.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/tool_rounded_rectangle.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/tool_spraycan.svgz
 %%DATADIR%%/icons/hicolor/scalable/actions/tool_text.svgz
-share/kxmlgui5/kolourpaint/kolourpaintui.rc
 share/locale/ar/LC_MESSAGES/kolourpaint.mo
 share/locale/be/LC_MESSAGES/kolourpaint.mo
 share/locale/bg/LC_MESSAGES/kolourpaint.mo
diff --git a/graphics/kontrast/Makefile b/graphics/kontrast/Makefile
index 385c96594f91..a9b069d7967d 100644
--- a/graphics/kontrast/Makefile
+++ b/graphics/kontrast/Makefile
@@ -1,24 +1,18 @@
 PORTNAME=	kontrast
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	graphics accessibility kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Color contrast checker
 WWW=		https://apps.kde.org/en/kontrast
 
-PATCH_SITES=	https://invent.kde.org/accessibility/kontrast/-/commit/
-PATCHFILES+=	1fb315a862c30c20e99dd70967ca5be82d249dd4.patch:-p1
+LIB_DEPENDS=	libQCoro6Core.so:devel/qcoro@qt6 \
+		libfuturesql6.so:databases/futuresql
 
-LIB_DEPENDS=	libQCoro5Core.so:devel/qcoro@qt5 \
-		libfuturesql5.so:databases/futuresql
-
-USES=		compiler:c++11-lang cmake pkgconfig \
-		kde:5 qt:5 tar:xz
-USE_KDE=	coreaddons i18n kirigami2 \
+USES=		cmake compiler:c++11-lang gettext kde:6 pkgconfig qt:6 tar:xz
+USE_KDE=	coreaddons crash i18n kirigami-addons kirigami2 \
 		ecm:build
-USE_QT=		core dbus declarative gui network quickcontrols2 sql svg widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/graphics/kontrast/distinfo b/graphics/kontrast/distinfo
index f4149f559de8..cbcf4f2bd97b 100644
--- a/graphics/kontrast/distinfo
+++ b/graphics/kontrast/distinfo
@@ -1,5 +1,3 @@
-TIMESTAMP = 1707889422
-SHA256 (KDE/release-service/23.08.5/kontrast-23.08.5.tar.xz) = 7e131a0e89773e88afdb17740998731b3d44d31485e736dcc7e29b11460ffdab
-SIZE (KDE/release-service/23.08.5/kontrast-23.08.5.tar.xz) = 211984
-SHA256 (KDE/release-service/23.08.5/1fb315a862c30c20e99dd70967ca5be82d249dd4.patch) = b650f58c22b4eac2710939a9acdc0ca3b5746dbe49a431d01b273c189191c0b8
-SIZE (KDE/release-service/23.08.5/1fb315a862c30c20e99dd70967ca5be82d249dd4.patch) = 1188
+TIMESTAMP = 1734460208
+SHA256 (KDE/release-service/24.12.0/kontrast-24.12.0.tar.xz) = 3528138ed55a0a3485edc7ce25f08e41c29dfe0014362d5ceb611c4e627ce304
+SIZE (KDE/release-service/24.12.0/kontrast-24.12.0.tar.xz) = 217092
diff --git a/graphics/kontrast/pkg-plist b/graphics/kontrast/pkg-plist
index b8b586e36919..73e9da6c5f57 100644
--- a/graphics/kontrast/pkg-plist
+++ b/graphics/kontrast/pkg-plist
@@ -1,6 +1,7 @@
 bin/kontrast
 share/applications/org.kde.kontrast.desktop
 share/icons/hicolor/scalable/apps/org.kde.kontrast.svg
+share/locale/ast/LC_MESSAGES/kontrast.mo
 share/locale/ca/LC_MESSAGES/kontrast.mo
 share/locale/ca@valencia/LC_MESSAGES/kontrast.mo
 share/locale/cs/LC_MESSAGES/kontrast.mo
@@ -8,23 +9,27 @@ share/locale/da/LC_MESSAGES/kontrast.mo
 share/locale/de/LC_MESSAGES/kontrast.mo
 share/locale/el/LC_MESSAGES/kontrast.mo
 share/locale/en_GB/LC_MESSAGES/kontrast.mo
+share/locale/eo/LC_MESSAGES/kontrast.mo
 share/locale/es/LC_MESSAGES/kontrast.mo
 share/locale/eu/LC_MESSAGES/kontrast.mo
 share/locale/fi/LC_MESSAGES/kontrast.mo
 share/locale/fr/LC_MESSAGES/kontrast.mo
 share/locale/gl/LC_MESSAGES/kontrast.mo
+share/locale/he/LC_MESSAGES/kontrast.mo
 share/locale/ia/LC_MESSAGES/kontrast.mo
 share/locale/it/LC_MESSAGES/kontrast.mo
 share/locale/ja/LC_MESSAGES/kontrast.mo
 share/locale/ka/LC_MESSAGES/kontrast.mo
 share/locale/ko/LC_MESSAGES/kontrast.mo
 share/locale/lt/LC_MESSAGES/kontrast.mo
+share/locale/lv/LC_MESSAGES/kontrast.mo
 share/locale/nl/LC_MESSAGES/kontrast.mo
 share/locale/nn/LC_MESSAGES/kontrast.mo
 share/locale/pa/LC_MESSAGES/kontrast.mo
 share/locale/pl/LC_MESSAGES/kontrast.mo
 share/locale/pt/LC_MESSAGES/kontrast.mo
 share/locale/pt_BR/LC_MESSAGES/kontrast.mo
+share/locale/ro/LC_MESSAGES/kontrast.mo
 share/locale/ru/LC_MESSAGES/kontrast.mo
 share/locale/sk/LC_MESSAGES/kontrast.mo
 share/locale/sl/LC_MESSAGES/kontrast.mo
diff --git a/graphics/kqtquickcharts/Makefile b/graphics/kqtquickcharts/Makefile
index 1df88186d150..1271f59038bd 100644
--- a/graphics/kqtquickcharts/Makefile
+++ b/graphics/kqtquickcharts/Makefile
@@ -11,7 +11,7 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 
 USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
 USE_KDE=	ecm:build
-USE_QT=		core declarative network gui \
+USE_QT=		core declarative gui network \
 		buildtools:build qmake:build
 
 OPTIONS_DEFINE=	DOCS
diff --git a/graphics/kqtquickcharts/distinfo b/graphics/kqtquickcharts/distinfo
index 602058c1619c..53253e61bf00 100644
--- a/graphics/kqtquickcharts/distinfo
+++ b/graphics/kqtquickcharts/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889425
-SHA256 (KDE/release-service/23.08.5/kqtquickcharts-23.08.5.tar.xz) = 62f630715acf88598c7f144387195d261691994aa007d6b1d078a23df2f533fe
-SIZE (KDE/release-service/23.08.5/kqtquickcharts-23.08.5.tar.xz) = 30868
+TIMESTAMP = 1734460210
+SHA256 (KDE/release-service/24.12.0/kqtquickcharts-24.12.0.tar.xz) = 1e2fb9659b12585d3ed75d4c05ac7e0b00f68cbfe6bc52ae4e0df16fe85030e9
+SIZE (KDE/release-service/24.12.0/kqtquickcharts-24.12.0.tar.xz) = 30864
diff --git a/graphics/kquickimageeditor/Makefile b/graphics/kquickimageeditor/Makefile
index 975d988b909b..8784986fcf4f 100644
--- a/graphics/kquickimageeditor/Makefile
+++ b/graphics/kquickimageeditor/Makefile
@@ -1,7 +1,8 @@
 PORTNAME=	kquickimageeditor
-DISTVERSION=	0.2.0
+DISTVERSION=	0.3.0
 CATEGORIES=	graphics
 MASTER_SITES=	KDE/stable/${PORTNAME}/
+PKGNAMESUFFIX=	-${FLAVOR}
 
 MAINTAINER=	adridg@FreeBSD.org
 COMMENT=	Simple image editor for QtQuick applications
@@ -10,10 +11,18 @@ WWW=		https://invent.kde.org/libraries/kquickimageeditor
 LICENSE=	LGPL21+
 LICENSE_FILE=	${WRKSRC}/LICENSES/LGPL-2.1-or-later.txt
 
-USES=		cmake compiler:c++17-lang gl kde:5 pkgconfig qt:5 tar:xz
+FLAVORS=	qt6 qt5
+FLAVOR?=	qt6
+
+USES=		cmake compiler:c++17-lang gl kde:${FLAVOR:S/qt//} pkgconfig \
+		qt:${FLAVOR:S/qt//} tar:xz
 USE_GL=		gl
-USE_QT=		core declarative gui network quickcontrols2 \
+_USE_QT_qt5=	core declarative gui network quickcontrols2 \
 		buildtools:build linguist:build qmake:build
+_USE_QT_qt6=	3d base
+USE_QT=		${_USE_QT_${FLAVOR}}
 USE_KDE=	ecm:build
 
+PLIST=		pkg-plist.${FLAVOR}
+
 .include <bsd.port.mk>
diff --git a/graphics/kquickimageeditor/distinfo b/graphics/kquickimageeditor/distinfo
index ef0809240385..65cd46ebc4f5 100644
--- a/graphics/kquickimageeditor/distinfo
+++ b/graphics/kquickimageeditor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1649269281
-SHA256 (kquickimageeditor-0.2.0.tar.xz) = 3cfba775498e031f6963669ee0e4426d4fddd48a244b9583620de4d312ba92ca
-SIZE (kquickimageeditor-0.2.0.tar.xz) = 3285204
+TIMESTAMP = 1709286187
+SHA256 (kquickimageeditor-0.3.0.tar.xz) = 330ebf3653883eeebde54385d783c51c2d30ff77d41b294ece79af7e9c21c6f8
+SIZE (kquickimageeditor-0.3.0.tar.xz) = 3286792
diff --git a/graphics/kquickimageeditor/pkg-plist b/graphics/kquickimageeditor/pkg-plist.qt5
similarity index 85%
rename from graphics/kquickimageeditor/pkg-plist
rename to graphics/kquickimageeditor/pkg-plist.qt5
index a4897882ad6d..c29fc60792bb 100644
--- a/graphics/kquickimageeditor/pkg-plist
+++ b/graphics/kquickimageeditor/pkg-plist.qt5
@@ -8,6 +8,4 @@ lib/cmake/KQuickImageEditor/KQuickImageEditorConfigVersion.cmake
 %%QT_QMLDIR%%/org/kde/kquickimageeditor/SelectionHandle.qml
 %%QT_QMLDIR%%/org/kde/kquickimageeditor/SelectionTool.qml
 %%QT_QMLDIR%%/org/kde/kquickimageeditor/libkquickimageeditorplugin.so
-%%QT_QMLDIR%%/org/kde/kquickimageeditor/plugins.qmltypes
 %%QT_QMLDIR%%/org/kde/kquickimageeditor/qmldir
-%%QT_QMLDIR%%/org/kde/kquickimageeditor/qmldir.license
diff --git a/graphics/kquickimageeditor/pkg-plist.qt6 b/graphics/kquickimageeditor/pkg-plist.qt6
new file mode 100644
index 000000000000..3751994e47c2
--- /dev/null
+++ b/graphics/kquickimageeditor/pkg-plist.qt6
@@ -0,0 +1,13 @@
+lib/cmake/KQuickImageEditor/KQuickImageEditorConfig.cmake
+lib/cmake/KQuickImageEditor/KQuickImageEditorConfigVersion.cmake
+%%QT_MKSPECDIR%%/modules/qt_KQuickImageEditor.pri
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/BasicResizeHandle.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/CropBackground.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/RectangleCutout.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/SelectionBackground.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/SelectionHandle.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/SelectionTool.qml
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/kquickimageeditorplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/libkquickimageeditorplugin.so
+%%QT_QMLDIR%%/org/kde/kquickimageeditor/qmldir
diff --git a/graphics/ksanecore/Makefile b/graphics/ksanecore/Makefile
index dfa3eb711845..8d8306c55216 100644
--- a/graphics/ksanecore/Makefile
+++ b/graphics/ksanecore/Makefile
@@ -8,10 +8,9 @@ WWW=		http://www.kipi-plugins.org
 
 LIB_DEPENDS=	libsane.so:graphics/sane-backends
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=		ecm:build
-USE_QT=		core gui widgets \
-		buildtools:build qmake:build testlib:build
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	ecm:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/graphics/ksanecore/distinfo b/graphics/ksanecore/distinfo
index 53d91524d010..5fbe5ae0154f 100644
--- a/graphics/ksanecore/distinfo
+++ b/graphics/ksanecore/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889416
-SHA256 (KDE/release-service/23.08.5/ksanecore-23.08.5.tar.xz) = 3d19c4caf13799b4bc835d18d77668ebb86771ba5128de3497a43302371d9ba2
-SIZE (KDE/release-service/23.08.5/ksanecore-23.08.5.tar.xz) = 50052
+TIMESTAMP = 1734460211
+SHA256 (KDE/release-service/24.12.0/ksanecore-24.12.0.tar.xz) = 3d5275d182be9b869eb26688195abe37bdc7c55dac669377a9bce7d847440829
+SIZE (KDE/release-service/24.12.0/ksanecore-24.12.0.tar.xz) = 54372
diff --git a/graphics/ksanecore/pkg-plist b/graphics/ksanecore/pkg-plist
index e0b2c0bb28c5..ee08b9349fca 100644
--- a/graphics/ksanecore/pkg-plist
+++ b/graphics/ksanecore/pkg-plist
@@ -1,18 +1,18 @@
-include/KSaneCore/DeviceInformation
-include/KSaneCore/Interface
-include/KSaneCore/Option
-include/KSaneCore/deviceinformation.h
-include/KSaneCore/interface.h
-include/KSaneCore/ksanecore_export.h
-include/KSaneCore/ksanecore_version.h
-include/KSaneCore/option.h
-lib/cmake/KSaneCore/KSaneCoreConfig.cmake
-lib/cmake/KSaneCore/KSaneCoreConfigVersion.cmake
-lib/cmake/KSaneCore/KSaneCoreTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KSaneCore/KSaneCoreTargets.cmake
-lib/libKSaneCore.so
-lib/libKSaneCore.so.1
-lib/libKSaneCore.so.%%KDE_APPLICATIONS_VERSION%%
+include/KSaneCore6/KSaneCore/DeviceInformation
+include/KSaneCore6/KSaneCore/Interface
+include/KSaneCore6/KSaneCore/Option
+include/KSaneCore6/ksanecore/deviceinformation.h
+include/KSaneCore6/ksanecore/interface.h
+include/KSaneCore6/ksanecore/option.h
+include/KSaneCore6/ksanecore_export.h
+include/KSaneCore6/ksanecore_version.h
+lib/cmake/KSaneCore6/KSaneCore6Config.cmake
+lib/cmake/KSaneCore6/KSaneCore6ConfigVersion.cmake
+lib/cmake/KSaneCore6/KSaneCore6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KSaneCore6/KSaneCore6Targets.cmake
+lib/libKSaneCore6.so
+lib/libKSaneCore6.so.1
+lib/libKSaneCore6.so.%%KDE_APPLICATIONS_VERSION%%
 share/locale/ar/LC_MESSAGES/ksanecore.mo
 share/locale/bg/LC_MESSAGES/ksanecore.mo
 share/locale/ca/LC_MESSAGES/ksanecore.mo
@@ -26,12 +26,15 @@ share/locale/eu/LC_MESSAGES/ksanecore.mo
 share/locale/fi/LC_MESSAGES/ksanecore.mo
 share/locale/fr/LC_MESSAGES/ksanecore.mo
 share/locale/gl/LC_MESSAGES/ksanecore.mo
+share/locale/he/LC_MESSAGES/ksanecore.mo
 share/locale/hi/LC_MESSAGES/ksanecore.mo
+share/locale/ia/LC_MESSAGES/ksanecore.mo
 share/locale/it/LC_MESSAGES/ksanecore.mo
 share/locale/ja/LC_MESSAGES/ksanecore.mo
 share/locale/ka/LC_MESSAGES/ksanecore.mo
 share/locale/ko/LC_MESSAGES/ksanecore.mo
 share/locale/lt/LC_MESSAGES/ksanecore.mo
+share/locale/lv/LC_MESSAGES/ksanecore.mo
 share/locale/nl/LC_MESSAGES/ksanecore.mo
 share/locale/nn/LC_MESSAGES/ksanecore.mo
 share/locale/pl/LC_MESSAGES/ksanecore.mo
diff --git a/graphics/libkdcraw/Makefile b/graphics/libkdcraw/Makefile
index 5cf8e78166c9..392db9f1bcdb 100644
--- a/graphics/libkdcraw/Makefile
+++ b/graphics/libkdcraw/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	libkdcraw
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	graphics kde kde-applications
 PKGNAMESUFFIX?=	-${FLAVOR}
 
@@ -15,8 +14,8 @@ LIB_DEPENDS=	libjasper.so:graphics/jasper \
 		libraw.so:graphics/libraw \
 		libxml2.so:textproc/libxml2
 
-FLAVORS=	qt5 qt6
-FLAVOR?=	qt5
+FLAVORS=	qt6 qt5
+FLAVOR?=	qt6
 
 USES=		cmake compiler:c++11-lang jpeg kde:${FLAVOR:S/qt//} pkgconfig \
 		qt:${FLAVOR:S/qt//} tar:xz
diff --git a/graphics/libkdcraw/distinfo b/graphics/libkdcraw/distinfo
index 405c34f976be..8839d70e5bff 100644
--- a/graphics/libkdcraw/distinfo
+++ b/graphics/libkdcraw/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889423
-SHA256 (KDE/release-service/23.08.5/libkdcraw-23.08.5.tar.xz) = ab1080e449ff468032b7ba5f203fba1cdca3ab9958c4f9b5451ba0e2c0978f11
-SIZE (KDE/release-service/23.08.5/libkdcraw-23.08.5.tar.xz) = 37500
+TIMESTAMP = 1734460213
+SHA256 (KDE/release-service/24.12.0/libkdcraw-24.12.0.tar.xz) = 0b4b6067fd362d218f6ee088c661c42b2f55cd9e3a8bdfb82efed96bd682625c
+SIZE (KDE/release-service/24.12.0/libkdcraw-24.12.0.tar.xz) = 37308
diff --git a/graphics/libkdcraw/pkg-plist.qt6 b/graphics/libkdcraw/pkg-plist.qt6
index 4f29876c4444..52b89ce07e0c 100644
--- a/graphics/libkdcraw/pkg-plist.qt6
+++ b/graphics/libkdcraw/pkg-plist.qt6
@@ -1,18 +1,18 @@
-include/KF6/KDCRAW/KDCRAW/DcrawInfoContainer
-include/KF6/KDCRAW/KDCRAW/KDcraw
-include/KF6/KDCRAW/KDCRAW/RawDecodingSettings
-include/KF6/KDCRAW/KDCRAW/RawFiles
-include/KF6/KDCRAW/kdcraw/dcrawinfocontainer.h
-include/KF6/KDCRAW/kdcraw/kdcraw.h
-include/KF6/KDCRAW/kdcraw/libkdcraw_export.h
-include/KF6/KDCRAW/kdcraw/rawdecodingsettings.h
-include/KF6/KDCRAW/kdcraw/rawfiles.h
-include/KF6/KDCRAW/libkdcraw_version.h
-lib/cmake/KF6KDcraw/KF6KDcrawConfig.cmake
-lib/cmake/KF6KDcraw/KF6KDcrawConfigVersion.cmake
-lib/cmake/KF6KDcraw/KF6KDcrawTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF6KDcraw/KF6KDcrawTargets.cmake
-lib/libKF6KDcraw.so
-lib/libKF6KDcraw.so.5
-lib/libKF6KDcraw.so.5.0.0
+include/KDcrawQt6/KDCRAW/DcrawInfoContainer
+include/KDcrawQt6/KDCRAW/KDcraw
+include/KDcrawQt6/KDCRAW/RawDecodingSettings
+include/KDcrawQt6/KDCRAW/RawFiles
+include/KDcrawQt6/kdcraw/dcrawinfocontainer.h
+include/KDcrawQt6/kdcraw/kdcraw.h
+include/KDcrawQt6/kdcraw/libkdcraw_export.h
+include/KDcrawQt6/kdcraw/rawdecodingsettings.h
+include/KDcrawQt6/kdcraw/rawfiles.h
+include/KDcrawQt6/libkdcraw_version.h
+lib/cmake/KDcrawQt6/KDcrawQt6Config.cmake
+lib/cmake/KDcrawQt6/KDcrawQt6ConfigVersion.cmake
+lib/cmake/KDcrawQt6/KDcrawQt6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KDcrawQt6/KDcrawQt6Targets.cmake
+lib/libKDcrawQt6.so
+lib/libKDcrawQt6.so.5
+lib/libKDcrawQt6.so.5.0.0
 share/qlogging-categories6/libkdcraw.categories
diff --git a/graphics/libkexiv2/Makefile b/graphics/libkexiv2/Makefile
index 4ad4fff1ebde..25aa8d185c2b 100644
--- a/graphics/libkexiv2/Makefile
+++ b/graphics/libkexiv2/Makefile
@@ -1,17 +1,26 @@
 PORTNAME=	libkexiv2
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
 CATEGORIES=	graphics kde kde-applications
+PKGNAMESUFFIX=	-${FLAVOR}
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Exiv2 library interface for KDE
 WWW=		https://www.digikam.org/
 
+FLAVORS=	qt6 qt5
+FLAVOR?=	qt6
+
 LIB_DEPENDS=	libexiv2.so:graphics/exiv2
 
-USES=		cmake compiler:c++11-lang kde:5 pkgconfig qt:5 tar:xz
+USES=		cmake compiler:c++11-lang kde:${FLAVOR:S/qt//} pkgconfig \
+		qt:${FLAVOR:S/qt//} tar:xz
 USE_KDE=	ecm:build
-USE_QT=		core gui \
-		buildtools:build qmake:build
+_USE_QT_qt5=	core gui buildtools:build qmake:build
+_USE_QT_qt6=	base
+USE_QT=		${_USE_QT_${FLAVOR}}
+
 USE_LDCONFIG=	yes
 
+PLIST=		pkg-plist.${FLAVOR}
+
 .include <bsd.port.mk>
diff --git a/graphics/libkexiv2/distinfo b/graphics/libkexiv2/distinfo
index 65f91b820976..ac81e8c652c1 100644
--- a/graphics/libkexiv2/distinfo
+++ b/graphics/libkexiv2/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889412
-SHA256 (KDE/release-service/23.08.5/libkexiv2-23.08.5.tar.xz) = 31413030799065faf17ecbe46e6a4ce4c11758f5c1d590eb296c52f4fc1a9bf2
-SIZE (KDE/release-service/23.08.5/libkexiv2-23.08.5.tar.xz) = 60688
+TIMESTAMP = 1734460215
+SHA256 (KDE/release-service/24.12.0/libkexiv2-24.12.0.tar.xz) = 27c7919d13ab7d481c064f115831fd4e276354bf1b61adf48350e28fab6730f6
+SIZE (KDE/release-service/24.12.0/libkexiv2-24.12.0.tar.xz) = 60652
diff --git a/graphics/libkexiv2/pkg-plist.qt5 b/graphics/libkexiv2/pkg-plist.qt5
new file mode 100644
index 000000000000..3d9431d398ef
--- /dev/null
+++ b/graphics/libkexiv2/pkg-plist.qt5
@@ -0,0 +1,18 @@
+include/KF5/KExiv2/KExiv2/KExiv2
+include/KF5/KExiv2/KExiv2/KExiv2Data
+include/KF5/KExiv2/KExiv2/KExiv2Previews
+include/KF5/KExiv2/KExiv2/RotationMatrix
+include/KF5/KExiv2/kexiv2/kexiv2.h
+include/KF5/KExiv2/kexiv2/kexiv2data.h
+include/KF5/KExiv2/kexiv2/kexiv2previews.h
+include/KF5/KExiv2/kexiv2/libkexiv2_export.h
+include/KF5/KExiv2/kexiv2/rotationmatrix.h
+include/KF5/KExiv2/libkexiv2_version.h
+lib/cmake/KF5KExiv2/KF5KExiv2Config.cmake
+lib/cmake/KF5KExiv2/KF5KExiv2ConfigVersion.cmake
+lib/cmake/KF5KExiv2/KF5KExiv2Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KF5KExiv2/KF5KExiv2Targets.cmake
+lib/libKF5KExiv2.so
+lib/libKF5KExiv2.so.15.0.0
+lib/libKF5KExiv2.so.5.1.0
+share/qlogging-categories5/libkexiv2.categories
diff --git a/graphics/libkipi/Makefile b/graphics/libkipi/Makefile
index 779345400b92..be2ab5c02150 100644
--- a/graphics/libkipi/Makefile
+++ b/graphics/libkipi/Makefile
@@ -1,17 +1,18 @@
 PORTNAME=	libkipi
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	graphics kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE Image Plugin Interface
 WWW=		https://www.digikam.org/
 
+IGNORE=		No longer shipped in KDE Release Service 24.08
+
 LICENSE=	GPLv2+
 
 USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons i18n \
-		libkdcraw libkexiv2 service widgetsaddons xmlgui \
+USE_KDE=	auth codecs config configwidgets coreaddons i18n libkdcraw \
+		libkexiv2 service widgetsaddons xmlgui \
 		ecm:build
 USE_QT=		core dbus gui widgets xml \
 		buildtools:build qmake:build
diff --git a/graphics/libkipi/distinfo b/graphics/libkipi/distinfo
index 559b6820b7f4..eefc2d1ebf7f 100644
--- a/graphics/libkipi/distinfo
+++ b/graphics/libkipi/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889411
-SHA256 (KDE/release-service/23.08.5/libkipi-23.08.5.tar.xz) = 724014ae75c6b5c39b92368a63d38b94353e41610c12804f96f190c5f1606285
-SIZE (KDE/release-service/23.08.5/libkipi-23.08.5.tar.xz) = 88616
+TIMESTAMP = 1720414995
+SHA256 (KDE/release-service/24.05.2/libkipi-24.05.2.tar.xz) = 4c06da914ab3bd952976cc135d24c307e972ef0007c754738f3644e567db88ba
+SIZE (KDE/release-service/24.05.2/libkipi-24.05.2.tar.xz) = 88600
diff --git a/graphics/libksane/Makefile b/graphics/libksane/Makefile
index 3f514b4ac1b0..18fd3fe78872 100644
--- a/graphics/libksane/Makefile
+++ b/graphics/libksane/Makefile
@@ -7,13 +7,12 @@ COMMENT=	SANE library interface for KDE
 WWW=		http://www.kipi-plugins.org
 
 LIB_DEPENDS=	libsane.so:graphics/sane-backends \
-		libKSaneCore.so:graphics/ksanecore
+		libKSaneCore6.so:graphics/ksanecore
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	config i18n sonnet textwidgets wallet widgetsaddons \
 		ecm:build
-USE_QT=		core gui widgets \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/graphics/libksane/distinfo b/graphics/libksane/distinfo
index 517f6cc9930e..a9d6c65ba75f 100644
--- a/graphics/libksane/distinfo
+++ b/graphics/libksane/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889415
-SHA256 (KDE/release-service/23.08.5/libksane-23.08.5.tar.xz) = deddff992193fdd5644c4b7b5ac60be34b775e7ad1bd444ea033b0a179242f6e
-SIZE (KDE/release-service/23.08.5/libksane-23.08.5.tar.xz) = 156004
+TIMESTAMP = 1734460216
+SHA256 (KDE/release-service/24.12.0/libksane-24.12.0.tar.xz) = 35e079267a069906627a3ba53297f181be0d28ef483806d0fbe24920741e1c14
+SIZE (KDE/release-service/24.12.0/libksane-24.12.0.tar.xz) = 155428
diff --git a/graphics/libksane/pkg-plist b/graphics/libksane/pkg-plist
index 15c8ed9eef6c..bf34cc80b726 100644
--- a/graphics/libksane/pkg-plist
+++ b/graphics/libksane/pkg-plist
@@ -1,14 +1,14 @@
-include/KF5/KSane/KSaneWidget
-include/KF5/KSane/ksane_export.h
-include/KF5/KSane/ksane_version.h
-include/KF5/KSane/ksanewidget.h
-lib/cmake/KF5Sane/KF5SaneConfig.cmake
-lib/cmake/KF5Sane/KF5SaneConfigVersion.cmake
-lib/cmake/KF5Sane/KF5SaneTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Sane/KF5SaneTargets.cmake
-lib/libKF5Sane.so
-lib/libKF5Sane.so.%%KDE_APPLICATIONS_VERSION%%
-lib/libKF5Sane.so.5
+include/KSaneWidgets6/KSaneWidget
+include/KSaneWidgets6/ksane_export.h
+include/KSaneWidgets6/ksane_version.h
+include/KSaneWidgets6/ksanewidget.h
+lib/cmake/KSaneWidgets6/KSaneWidgets6Config.cmake
+lib/cmake/KSaneWidgets6/KSaneWidgets6ConfigVersion.cmake
+lib/cmake/KSaneWidgets6/KSaneWidgets6Targets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KSaneWidgets6/KSaneWidgets6Targets.cmake
+lib/libKSaneWidgets6.so
+lib/libKSaneWidgets6.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libKSaneWidgets6.so.6
 share/icons/hicolor/16x16/actions/black-white.png
 share/icons/hicolor/16x16/actions/color.png
 share/icons/hicolor/16x16/actions/gray-scale.png
@@ -31,6 +31,7 @@ share/locale/fi/LC_MESSAGES/libksane.mo
 share/locale/fr/LC_MESSAGES/libksane.mo
 share/locale/ga/LC_MESSAGES/libksane.mo
 share/locale/gl/LC_MESSAGES/libksane.mo
+share/locale/he/LC_MESSAGES/libksane.mo
 share/locale/hi/LC_MESSAGES/libksane.mo
 share/locale/hne/LC_MESSAGES/libksane.mo
 share/locale/hr/LC_MESSAGES/libksane.mo
diff --git a/graphics/okular/Makefile b/graphics/okular/Makefile
index 2bd64917e586..090d4308359d 100644
--- a/graphics/okular/Makefile
+++ b/graphics/okular/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	okular
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	4
 CATEGORIES=	graphics kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -15,25 +14,21 @@ LIB_DEPENDS=	libchm.so:misc/chmlib \
 		libdjvulibre.so:graphics/djvulibre \
 		libepub.so:textproc/ebook-tools \
 		libfreetype.so:print/freetype2 \
-		libqmobipocket.so:graphics/kdegraphics-mobipocket \
+		libQMobipocket6.so:graphics/kdegraphics-mobipocket@qt6 \
 		libpoppler.so:graphics/poppler \
-		libpoppler-qt5.so:graphics/poppler-qt5 \
+		libpoppler-qt6.so:graphics/poppler-qt6 \
 		libspectre.so:print/libspectre \
 		libtiff.so:graphics/tiff \
 		libzip.so:archivers/libzip
 
-USES=		cmake compiler:c++11-lib desktop-file-utils \
-		gettext jpeg kde:5 cpe pkgconfig qca qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib cpe desktop-file-utils gettext jpeg \
+		kde:6 pkgconfig qca qt:6 tar:xz xorg
 USE_KDE=	activities archive auth bookmarks codecs completion config \
-		configwidgets coreaddons crash dbusaddons emoticons i18n \
-		iconthemes init itemmodels itemviews jobwidgets js \
-		kdelibs4support khtml kio libkexiv2 parts phonon pty \
-		service solid sonnet textwidgets threadweaver wallet \
-		widgetsaddons windowsystem xmlgui \
+		iconthemes itemmodels itemviews jobwidgets kio libkexiv2 parts \
+		phonon pty service solid sonnet textwidgets threadweaver \
+		wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network printsupport speech \
-		svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS PURPOSE
@@ -41,6 +36,6 @@ OPTIONS_DEFAULT=	PURPOSE
 
 PURPOSE_DESC=	Enable 'Share' menu
 PURPOSE_USE=	KDE=purpose
-PURPOSE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_KF5Purpose
+PURPOSE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_KF6Purpose
 
 .include <bsd.port.mk>
diff --git a/graphics/okular/distinfo b/graphics/okular/distinfo
index 06dc8883cca7..f603f7f7f42e 100644
--- a/graphics/okular/distinfo
+++ b/graphics/okular/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889421
-SHA256 (KDE/release-service/23.08.5/okular-23.08.5.tar.xz) = d5d51f69b176a250907ee70e8f97143fc9d705cee3ef7ff448626c8a529ce364
-SIZE (KDE/release-service/23.08.5/okular-23.08.5.tar.xz) = 8515760
+TIMESTAMP = 1734460218
+SHA256 (KDE/release-service/24.12.0/okular-24.12.0.tar.xz) = 8258058c40254ae888a3f85b28563b29b116496af235b335449323a5f25e57d1
+SIZE (KDE/release-service/24.12.0/okular-24.12.0.tar.xz) = 8056456
